Page MenuHomePhabricator

cocoa build broken
Closed, ResolvedPublic

Description

https://travis-ci.org/Enlightenment/efl/jobs/416583687 looks like circular dependency between evas modules and ecore-cocoa

zmike created this task.Aug 15 2018, 4:55 PM
zmike triaged this task as High priority.
bu5hm4n added a comment.EditedAug 16 2018, 1:27 AM

Yeah, ecore_cocoa does a bit of weird things, ecore_cocoa uses the function evas_textblock_text_markup_to_utf8. It should not.

In general: A type like MARKUP should stop at the level of elm, or ecore_evas ... but should never be used in ecore_cocoa.

zmike added subscribers: jayji, netstar.

I agree that it probably should not, but this is how the code is written.

An alternative here I suppose would be to make the code for that function a standalone in a static library?

Or just quick and dirty dlsym'ing evas_textblock_text_markup_to_utf8 ?

Its not nice, but a solution...

zmike added a comment.Aug 16 2018, 6:30 AM

No, that's definitely not a viable solution for us.

bu5hm4n reassigned this task from bu5hm4n to zmike.Aug 16 2018, 6:35 AM

Then feel free to refactor the textblock apis into a static lib,

I don't know if this will help, but ecore_cocoa_clipboard_set() (that calls evas_textblock_text_markup_to_utf8) is beta API (the whole cocoa clipboard API is). It was (badly) designed to be used by Elementary only. Maybe the caller of this function can run the evas_textblock_text_markup_to_utf8() first, and pass its output as the data parameter?

@jayji that is very good news. :)

For now fixed in the meson ( devs/bu5hm4n/meson) fixed with D6865. works.

@zmike you can enable it on travis i guess.

bu5hm4n closed this task as Resolved.Aug 25 2018, 2:04 PM